
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableModel;
import net.proteanit.sql.DbUtils;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 *
 * @author Gaurav
 */
public class Branch extends javax.swing.JPanel {

    /**
     * Creates new form branch
     */
    Connection conn;
    PreparedStatement ps;
    ResultSet rs;
    
    
    public Branch() {
        
        initComponents();
        conn = MySQLConnect.getConnection();
        fillDataTable();
    }
    
    public static void main(String args[]){
        
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jLabel3 = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        lblheader = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        txtsearchdata = new javax.swing.JPanel();
        id = new javax.swing.JLabel();
        jSeparator2 = new javax.swing.JSeparator();
        txtBranchId = new javax.swing.JTextField();
        jLabel2 = new javax.swing.JLabel();
        txtBN = new javax.swing.JTextField();
        jSeparator1 = new javax.swing.JSeparator();
        jPanel2 = new javax.swing.JPanel();
        tableData = new javax.swing.JScrollPane();
        jtbBranchinfo = new javax.swing.JTable();
        jPanel4 = new javax.swing.JPanel();
        jLabel6 = new javax.swing.JLabel();
        txtsearch = new javax.swing.JTextField();
        jSeparator3 = new javax.swing.JSeparator();
        lbladd = new javax.swing.JLabel();
        lblUpdate = new javax.swing.JLabel();
        lbldelete = new javax.swing.JLabel();
        lblDelete = new javax.swing.JLabel();
        lblAdd = new javax.swing.JLabel();

        jLabel3.setText("jLabel3");

        setMaximumSize(new java.awt.Dimension(880, 684));

        jPanel1.setBackground(new java.awt.Color(255, 255, 255));

        lblheader.setBackground(new java.awt.Color(255, 255, 255));
        lblheader.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0), 2));
        lblheader.setPreferredSize(new java.awt.Dimension(880, 80));

        jLabel1.setFont(new java.awt.Font("SansSerif", 0, 30)); // NOI18N
        jLabel1.setText("Manage Branches");

        javax.swing.GroupLayout lblheaderLayout = new javax.swing.GroupLayout(lblheader);
        lblheader.setLayout(lblheaderLayout);
        lblheaderLayout.setHorizontalGroup(
            lblheaderLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(lblheaderLayout.createSequentialGroup()
                .addGap(107, 107, 107)
                .addComponent(jLabel1)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        lblheaderLayout.setVerticalGroup(
            lblheaderLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(lblheaderLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel1)
                .addContainerGap(26, Short.MAX_VALUE))
        );

        txtsearchdata.setBackground(new java.awt.Color(255, 255, 255));
        txtsearchdata.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0), 2));

        id.setFont(new java.awt.Font("SansSerif", 0, 18)); // NOI18N
        id.setText("Branch ID");

        txtBranchId.setEditable(false);
        txtBranchId.setBackground(new java.awt.Color(255, 255, 255));
        txtBranchId.setBorder(null);
        txtBranchId.setEnabled(false);
        txtBranchId.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtBranchIdActionPerformed(evt);
            }
        });

        jLabel2.setFont(new java.awt.Font("SansSerif", 0, 18)); // NOI18N
        jLabel2.setText("Branch Name");

        txtBN.setBorder(null);
        txtBN.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtBNActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout txtsearchdataLayout = new javax.swing.GroupLayout(txtsearchdata);
        txtsearchdata.setLayout(txtsearchdataLayout);
        txtsearchdataLayout.setHorizontalGroup(
            txtsearchdataLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, txtsearchdataLayout.createSequentialGroup()
                .addGap(23, 23, 23)
                .addComponent(id)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(txtsearchdataLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jSeparator2)
                    .addComponent(txtBranchId, javax.swing.GroupLayout.DEFAULT_SIZE, 234, Short.MAX_VALUE))
                .addGap(94, 94, 94)
                .addComponent(jLabel2)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(txtsearchdataLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(txtBN, javax.swing.GroupLayout.PREFERRED_SIZE, 234, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 234, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(26, Short.MAX_VALUE))
        );
        txtsearchdataLayout.setVerticalGroup(
            txtsearchdataLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(txtsearchdataLayout.createSequentialGroup()
                .addGap(30, 30, 30)
                .addGroup(txtsearchdataLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLabel2)
                    .addComponent(txtBranchId, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(id)
                    .addComponent(txtBN, javax.swing.GroupLayout.PREFERRED_SIZE, 30, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(0, 0, 0)
                .addGroup(txtsearchdataLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jSeparator2, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(20, Short.MAX_VALUE))
        );

        jPanel2.setBackground(new java.awt.Color(255, 255, 255));

        jtbBranchinfo.setAutoCreateRowSorter(true);
        jtbBranchinfo.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        jtbBranchinfo.setCursor(new java.awt.Cursor(java.awt.Cursor.DEFAULT_CURSOR));
        jtbBranchinfo.setGridColor(new java.awt.Color(255, 255, 255));
        jtbBranchinfo.setSelectionBackground(new java.awt.Color(66, 133, 140));
        jtbBranchinfo.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jtbBranchinfoMouseClicked(evt);
            }
        });
        tableData.setViewportView(jtbBranchinfo);

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(tableData)
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(tableData, javax.swing.GroupLayout.PREFERRED_SIZE, 210, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(73, Short.MAX_VALUE))
        );

        jPanel4.setBackground(new java.awt.Color(255, 255, 255));
        jPanel4.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0), 2));

        jLabel6.setFont(new java.awt.Font("SansSerif", 0, 18)); // NOI18N
        jLabel6.setText("Search");

        txtsearch.setBorder(null);
        txtsearch.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                txtsearchActionPerformed(evt);
            }
        });
        txtsearch.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyPressed(java.awt.event.KeyEvent evt) {
                txtsearchKeyPressed(evt);
            }
            public void keyTyped(java.awt.event.KeyEvent evt) {
                txtsearchKeyTyped(evt);
            }
        });

        jSeparator3.setForeground(new java.awt.Color(0, 0, 0));

        lbladd.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));

        lblUpdate.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Icons/Update (1).png"))); // NOI18N
        lblUpdate.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));
        lblUpdate.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                lblUpdateMouseClicked(evt);
            }
        });

        lbldelete.setCursor(new java.awt.Cursor(java.awt.Cursor.HAND_CURSOR));

        lblDelete.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Icons/delete.png"))); // NOI18N
        lblDelete.setText("jLabel4");
        lblDelete.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                lblDeleteMouseClicked(evt);
            }
        });

        lblAdd.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Icons/ADD.png"))); // NOI18N
        lblAdd.setText("jLabel8");
        lblAdd.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                lblAddMouseClicked(evt);
            }
        });

        javax.swing.GroupLayout jPanel4Layout = new javax.swing.GroupLayout(jPanel4);
        jPanel4.setLayout(jPanel4Layout);
        jPanel4Layout.setHorizontalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addGap(30, 30, 30)
                .addComponent(jLabel6)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addComponent(jSeparator3, javax.swing.GroupLayout.PREFERRED_SIZE, 194, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(48, 48, 48)
                        .addComponent(lbladd))
                    .addComponent(txtsearch, javax.swing.GroupLayout.PREFERRED_SIZE, 180, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(9, 9, 9)
                .addComponent(lblAdd, javax.swing.GroupLayout.PREFERRED_SIZE, 114, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(63, 63, 63)
                .addComponent(lblUpdate)
                .addGap(48, 48, 48)
                .addComponent(lblDelete, javax.swing.GroupLayout.PREFERRED_SIZE, 115, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(147, 147, 147)
                .addComponent(lbldelete))
        );
        jPanel4Layout.setVerticalGroup(
            jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel4Layout.createSequentialGroup()
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addGap(99, 99, 99)
                        .addComponent(lbladd))
                    .addGroup(jPanel4Layout.createSequentialGroup()
                        .addGap(50, 50, 50)
                        .addComponent(lbldelete)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel4Layout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addGroup(jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(lblUpdate, javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel4Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                        .addComponent(txtsearch, javax.swing.GroupLayout.PREFERRED_SIZE, 32, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(jLabel6)
                        .addComponent(lblAdd))
                    .addComponent(lblDelete, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.PREFERRED_SIZE, 50, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(0, 0, 0)
                .addComponent(jSeparator3, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(28, 28, 28))
        );

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(38, 38, 38)
                        .addComponent(txtsearchdata, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(15, 15, 15)
                        .addComponent(jPanel4, javax.swing.GroupLayout.PREFERRED_SIZE, 852, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
            .addComponent(lblheader, javax.swing.GroupLayout.DEFAULT_SIZE, 882, Short.MAX_VALUE)
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addComponent(lblheader, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(30, 30, 30)
                .addComponent(txtsearchdata, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(30, 30, 30)
                .addComponent(jPanel4, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 53, Short.MAX_VALUE)
                .addComponent(jPanel2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
        );

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPanel1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents

    private void jtbBranchinfoMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jtbBranchinfoMouseClicked
        // TODO add your handling code here:
        int getSelectedRow = jtbBranchinfo.getSelectedRow();
        String branch_id = jtbBranchinfo.getValueAt(getSelectedRow,0).toString();

        String query = "Select * from branch where branch_id ="+branch_id;
        try {
            ps = conn.prepareStatement(query);
            rs = ps.executeQuery();
            if(rs.next()){
                txtBranchId.setText(rs.getString("branch_id"));
                txtBN.setText(rs.getString("branch_name"));
            }
        } catch (SQLException ex) {
            Logger.getLogger(Branch.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_jtbBranchinfoMouseClicked

    private void txtBNActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtBNActionPerformed
        // TODO add your handling code here:
        
    }//GEN-LAST:event_txtBNActionPerformed

    private void txtBranchIdActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtBranchIdActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_txtBranchIdActionPerformed

    private void lblUpdateMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lblUpdateMouseClicked
        // TODO add your handling code here:
          String query = "Update branch set branch_name = ? where branch_id = ?";
        try {
            ps = conn.prepareStatement(query);
            ps.setString(1,txtBN.getText());
            ps.setString(2,txtBranchId.getText());
            ps.execute();
                JOptionPane.showMessageDialog(null,"data updated sucessfully"); 
                fillDataTable();
                txtBranchId.setText("");
                txtBN.setText("");
        } catch (SQLException ex) {
            JOptionPane.showMessageDialog(null,"data inserted unsucessfully");  
            Logger.getLogger(Branch.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_lblUpdateMouseClicked

    private void lblAddMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lblAddMouseClicked
        // TODO add your handling code here:
         String query = "Insert into branch(branch_name) values(?)";
        try {
            ps = conn.prepareStatement(query);
            ps.setString(1,txtBN.getText());
            ps.execute();
            txtBN.setText("");
            fillDataTable();
              JOptionPane.showMessageDialog(null,"data inserted sucessfully");   
        } catch (SQLException ex) {
            JOptionPane.showMessageDialog(null,"data inserted unsucessfully "+ ex);
            //Logger.getLogger(Branch.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_lblAddMouseClicked

    private void lblDeleteMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_lblDeleteMouseClicked
        // TODO add your handling code here:
         int ans = JOptionPane.showConfirmDialog(this,"Are you sure you want to delete this record?",
                "Delete!",JOptionPane.YES_NO_OPTION);
        
        if(ans == JOptionPane.YES_OPTION){
        String query = "delete from branch where branch_id ="+ txtBranchId.getText();
        try {
            ps = conn.prepareStatement(query);
            ps.execute();
            JOptionPane.showMessageDialog(null,"Branch Deleted sucessfully");  
            txtBranchId.setText("");
            txtBN.setText("");
            fillDataTable();
        } catch (SQLException ex) {
            JOptionPane.showMessageDialog(null,"data Deleted unsucessfully");  
            Logger.getLogger(Branch.class.getName()).log(Level.SEVERE, null, ex);
        }
      }
    }//GEN-LAST:event_lblDeleteMouseClicked

    private void txtsearchActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_txtsearchActionPerformed
        // TODO add your handling code here:
       
        
    }//GEN-LAST:event_txtsearchActionPerformed

    private void txtsearchKeyTyped(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_txtsearchKeyTyped
        // TODO add your handling code here:
        
    }//GEN-LAST:event_txtsearchKeyTyped

    private void txtsearchKeyPressed(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_txtsearchKeyPressed
        // TODO add your handling code here:
         String temp =txtsearch.getText();
         String query = "Select * from branch where branch_name like '"+temp+"%'";
        try {
            ps = conn.prepareStatement(query);
            rs = ps.executeQuery();
          
//                jtbBranchinfo.removeAll();
              jtbBranchinfo.setModel(getMyTableModel(DbUtils.resultSetToTableModel(rs)));
            
        } catch (SQLException ex) {
            Logger.getLogger(Branch.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_txtsearchKeyPressed
    private void fillDataTable(){
        String query = "Select * from branch";
        try {
            ps = conn.prepareStatement(query);
            rs = ps.executeQuery();
            jtbBranchinfo.setModel(getMyTableModel(DbUtils.resultSetToTableModel(rs)));
        } catch (SQLException ex) {
            Logger.getLogger(Branch.class.getName()).log(Level.SEVERE, null, ex);
        }
        
    }
       private DefaultTableModel getMyTableModel(TableModel dtm){
             System.out.println("called");
        int row = dtm.getRowCount();
        int col = dtm.getColumnCount();
        System.out.println(row);
        Object[][] jTableData = new Object[row][col];
        for(int i = 0;i<row;i++){
            for(int j = 0;j<col;j++){
                jTableData[i][j] = dtm.getValueAt(i, j);
            }
        }
        String[] colHeads = {"branch_id","branch_name"};
        DefaultTableModel myModel;
        myModel = new DefaultTableModel(jTableData,colHeads){
            
            @Override
            public boolean isCellEditable(int row, int column){
                return false;
            }
        };

   
    
        return myModel;
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel id;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel4;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JSeparator jSeparator3;
    private javax.swing.JTable jtbBranchinfo;
    private javax.swing.JLabel lblAdd;
    private javax.swing.JLabel lblDelete;
    private javax.swing.JLabel lblUpdate;
    private javax.swing.JLabel lbladd;
    private javax.swing.JLabel lbldelete;
    private javax.swing.JPanel lblheader;
    private javax.swing.JScrollPane tableData;
    private javax.swing.JTextField txtBN;
    private javax.swing.JTextField txtBranchId;
    private javax.swing.JTextField txtsearch;
    private javax.swing.JPanel txtsearchdata;
    // End of variables declaration//GEN-END:variables
}
